Reject wallet ownership

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to reject ownership of the transaction mistakenly sent to your VASP. When you reject transaction ownership, you inform us that the wallet does not belong to any of your clients. In this case, the travelRuleInfo.status of the transaction becomes unconfirmedOwnership.

📘

Notes

  • The data we exchange includes the Sumsub transaction ID.
  • Rejecting a transaction repeatedly is idempotent. If the transaction already has "status": "unconfirmedOwnership", the call returns 200 with the same transaction and makes no changes. It does not return 409.

Use case

Use this method when your VASP receives an incoming Travel Rule request for a wallet address that does not belong to any of your clients, for example, because the sender specified a wrong VASP or address. By rejecting ownership, you inform the sender's VASP that the address is not yours, instead of letting the request stay in the onHold status until it expires.

To confirm ownership of the address and identify the user instead, use Confirm wallet ownership.

Required permissions

To use this method:

  • Your app token must have the Manage TM transactions - Decisions permission.
  • Travel Rule must be enabled for your account.

Both conditions are required — missing either one returns a 403 Forbidden. If Travel Rule is not enabled for your account, contact your CSM or Sumsub support.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/kyt/txns/66cd891eefa135789ce00000/ownership/unconfirmed' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

If the request was sent and processed correctly, you will get a JSON file that represents the structured transaction information. The existence of some fields depends on the transaction type and matched rules.

  • By default, the needMasking attribute is set to true, which indicates that the personal data is masked, so you do not see the fullName field in the applicant and counterparty objects. Personal data stays masked when you reject the transaction ownership.
  • travelRuleInfo.status becomes unconfirmedOwnership.

Response example

{
    "id": "66fbc0e62c633f3ea1000000",
    "externalUserId": "t9oxv7qlynvlip2w0rpf",
    "clientId": "your_cool_id",
    "data": {
        "txnId": "2421f077-b5ee-4361-9212-00000e5c1d44",
        "txnDate": "2024-10-01 09:29:10+0000",
        "applicant": {
            "externalUserId": "t9oxv7qlynvlip2w0rpf",
            "type": "individual",
            "paymentMethod": {
                "type": "",
                "accountId": "0X7D1E4CFE1659FB2FF41E70C89BC03A9289500000"
            }
        },
        "counterparty": {
            "externalUserId": "ticdp37986196cepjaqkm",
            "type": "individual",
            "paymentMethod": {
                "type": "account",
                "accountId": "1A1zP1eP5QGefi2DMPTfTL5SLmv7D00000"
            },
            "device": {
                "ipInfo": {
                    "ip": "87.141.63.130",
                    "countryCode2": "DE",
                    "countryCode3": "DEU",
                    "city": "Berlin",
                    "zipCode": "13357",
                    "lat": 52.5481,
                    "lon": 13.3844,
                    "asn": 3320,
                    "asnOrg": "Deutsche Telekom AG",
                    "riskyAsn": false
                },
                "fingerprint": "m5021x0a87"
            }
        },
        "type": "travelRule",
        "info": {
            "direction": "in",
            "amount": 0.01,
            "currencyCode": "ETH",
            "currencyType": "crypto",
            "amountInDefaultCurrency": 23.798191337458352,
            "defaultCurrencyCode": "EUR"
        }
    },
    "score": 0,
    "review": {
        "reviewId": "snSWH",
        "attemptId": "BnDPs",
        "attemptCnt": 2,
        "elapsedSincePendingMs": 146215,
        "createDate": "2024-10-01 09:29:10+0000",
        "reviewResult": {
            "reviewAnswer": "GREEN"
        },
        "reviewStatus": "completed",
        "confirmed": false
    },
    "createdAt": "2024-10-01 09:29:10+0000",
    "scoringResult": {
        "score": 0,
        "dryScore": 0,
        "matchedRules": [
            {
                "id": "66be1caaf47b4f7a6fccf5fb",
                "name": "TRI0-tra-rule-new-tr-data-exc-req-lVyy",
                "revision": 1,
                "title": "Travel Rule: New TR data exchange request",
                "score": 0,
                "dryRun": false,
                "action": "score"
            }
        ],
        "action": "score",
        "ruleCnt": 4,
        "dryRunRuleCnt": 0
    },
    "travelRuleInfo": {
        "protocolName": "sns",
        "applicant": {
            "externalUserId": "t9oxv7qlynvlip2w0rpf"
        },
        "counterparty": {
            "externalUserId": "ticdp37986196cepjaqkm"
        },
        "status": "unconfirmedOwnership",
        "applicantVaspId": "668d5fb69c98ed620c55ae0d",
        "counterpartyVaspId": "66b10acdf6c30965b9ea644d"
    },
    "needMasking": true,
    "txnInactive": false
}

Possible errors

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "description": "Invalid id 'xfghxfgtdjyjdxtg'",
  "code": 400,
  "correlationId": "07470e61730f77a88fbca83fcbc3e358"
}

The following table lists the possible errors.

HTTP codeDescription
400id is not a valid transaction identifier.
400The transaction is not an incoming Travel Rule request.
403The app token does not have the Manage TM transactions - Decisions permission, or Travel Rule is not enabled for your account ("You don't have this feature enabled, please contact us").
404The transaction is not found.
409The request is already answered or has expired. For example, ownership of the transaction is already confirmed, or the transaction is no longer in the onHold status.
Path Params
string
required

Unique transaction identifier in the Sumsub system.

This ID is returned in the response to the transaction submission and a webhook (kytTxnId). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the following method.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!